Subject: Re: [PATCH 0/3] convert read_packed_refs to use strbuf

From: Junio C Hamano <[email-masked]>
Date: Wed, 10 Dec 2014 09:43:01 -0800

Jeff King <[email-masked]> writes:

> Here's a patch to do that. It still doesn't let you create long refs on
> OS X, as we get caught up in the PATH_MAX found in git_path() and
> friends. Still, I think it's a step in the right direction, and it fixes
> the shearing issue.
>
> Patches 2 and 3 are just follow-on cleanups.
>
>   [1/3]: read_packed_refs: use a strbuf for reading lines
>   [2/3]: read_packed_refs: pass strbuf to parse_ref_line
>   [3/3]: read_packed_refs: use skip_prefix instead of static array
>
> I checked, and this miraculously does not conflict with any of the refs
> work in pu. :)

Heh, I suspect that is largely because Michael's "reflog expire" is
kept out of my tree while it is still under discusson.